CREATE TABLE IF NOT EXISTS quotes 
(ID INT PRIMARY_KEY, CONTENT TEXT, SCORE INT);

CREATE VIRTUAL TABLE IF NOT EXISTS quotes_idx
USING fts5(content, content='quotes', content_rowid='id');

CREATE TRIGGER IF NOT EXISTS quotes_ai AFTER INSERT ON quotes
BEGIN
    INSERT INTO quotes_idx (rowid, content)
    VALUES (new.id, new.content);
END;

CREATE TRIGGER IF NOT EXISTS quotes_ad AFTER DELETE ON quotes
BEGIN
    INSERT INTO quotes_idx (quotes_idx, rowid, content)
    VALUES('delete', old.id, old.content);
END;

CREATE TRIGGER IF NOT EXISTS quotes_au AFTER UPDATE ON quotes
BEGIN
    INSERT INTO quotes_idx (quotes_idx, rowid, content)
    VALUES ('delete', old.id, old.content);
    INSERT INTO quotes_idx (rowid, content)
    VALUES (new.id, new.content);
END;

